import javax.swing.*;
public class ManualLayout {
  public static void main(String args[]){  
    JFrame f=new JFrame("Hello");
    f.setLayout(null);  //取消布局管理器
    f.setSize(200,100);  //宽200，高100

    JButton b=new JButton("press me");
    b.setBounds(10,20,100,30); //x坐标10,y坐标20，宽100，高30
    f.add(b);

    f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    f.setVisible(true);
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
